commit:     90f7a701aca6666ee8c2a132b4a5c9782abc3499
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 13:33:03 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 14:25:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90f7a701

app-text/iso-codes: Version bump

Package-Manager: portage-2.2.26

 app-text/iso-codes/Manifest              |  1 +
 app-text/iso-codes/iso-codes-3.64.ebuild | 69 ++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/app-text/iso-codes/Manifest b/app-text/iso-codes/Manifest
index 64a6ff9..e68d3d3 100644
--- a/app-text/iso-codes/Manifest
+++ b/app-text/iso-codes/Manifest
@@ -1,3 +1,4 @@
 DIST iso-codes-3.57.tar.xz 3773756 SHA256 
dd6acd92843b69530fce535d3d6fd947ddb3802f0d5fc1bd214d1cb7d2bf5c47 SHA512 
a58e48be152960d2391123e88b48f1c43e0bf0ac880a8d6a3ec7c8154e67fd40f264063cdf7106da9d261a5fb82f64d67545a17f69ec81141f10d1eb2d897424
 WHIRLPOOL 
9b6de080edc6c54071a8b7584de90af3554f91d77973dceb856570b2c1760ad89a807112903cd24697bab672024d319b72ce3141fdd0dc15405bf54bbd9b53ce
 DIST iso-codes-3.61.tar.xz 3772736 SHA256 
a79bf119afdc20feef12965f26f9d97868819003a76355a6f027a14a6539167d SHA512 
c18f4d9f92266bc590e9eb327edfc769abc384a0ffeb80bcff120cafe664019c747e733aa1b33de4179a6beddaa904bc70e2d35971d9edb6eba51592f5d5d07d
 WHIRLPOOL 
74c620e00bfac3e007f58edd509c3204db162b99e3aba93fb02ab27b435925ac2b2886367f25c1749f3fbaf277a37b64e39a8684d8e6faff59ef9d7739108f3c
 DIST iso-codes-3.63.tar.xz 3773672 SHA256 
60600e56952dc92b3a8cd8a7044348f7cfa35be528bab2491c3c18582fb5277f SHA512 
31b5142611e2050a9bfb95cd12d962b8cbe01824f1202e70ca40d9cd178a5fd17557eac3fcc59dd0b94baf2656caeef09c50332cd2a8d0e1bb14c82c154e06ae
 WHIRLPOOL 
bbe3c5474ba3fc22243a9b6bea9c6b43dccd5a2230ee59b07e4484e06ccba4be977dfa1e16014b18d4cae5393a50099e3a12b13747e9970c4e605df8b4e002be
+DIST iso-codes-3.64.tar.xz 3733868 SHA256 
5ef061381e37e9576760df1ad504d4bbc84c270da30512b2891baed9add70729 SHA512 
fd0639b7279bd4a87b5fdf055f61d8e44fd1d48907d0eef1824cb68cc1af6108f04f6ab837cef17398b576cef9ff66b09b351eee76e1309270768259810228fb
 WHIRLPOOL 
4f13253571ac16a4ffa68d228c3c9b347742fc2b38ba1f68fc6221826b07f6f108e9897dcd0dab496219b45129c14f96b3496ec5d450e39f7232f16e8b005105

diff --git a/app-text/iso-codes/iso-codes-3.64.ebuild 
b/app-text/iso-codes/iso-codes-3.64.ebuild
new file mode 100644
index 0000000..d5169d2
--- /dev/null
+++ b/app-text/iso-codes/iso-codes-3.64.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PLOCALES="af am ar as ast az be bg bn bn_IN br bs byn ca crh cs cy da de dz el 
en eo es et eu fa fi fo fr ga gez gl gu haw he hi hr hu hy ia id is it ja ka kk 
km kn ko kok ku lt lv mi mk ml mn mr ms mt nb ne nl nn nso oc or pa pl ps pt 
pt_BR ro ru rw si sk sl so sq sr sr@latin sv sw ta te th ti tig tk tl tr tt 
tt@iqtelif ug uk ve vi wa wal wo xh zh_CN zh_HK zh_TW zu"
+
+inherit eutils l10n
+
+DESCRIPTION="ISO language, territory, currency, script codes and their 
translations"
+HOMEPAGE="http://pkg-isocodes.alioth.debian.org/";
+SRC_URI="http://pkg-isocodes.alioth.debian.org/downloads/${P}.tar.xz";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+IUSE=""
+
+RDEPEND=""
+DEPEND="
+       app-arch/xz-utils
+       sys-devel/gettext
+"
+
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+src_prepare() {
+       local norm loc all_locales mylinguas
+       local all_norms="iso_15924 iso_3166 iso_3166_2 iso_4217 iso_639 
iso_639_3 iso_639_5"
+
+       # l10n_find_plocales_changes doesn't support multiple directories
+       einfo "Looking for new locales ..."
+       for norm in ${all_norms}; do
+               pushd "${norm}" > /dev/null || die
+               for loc in *.po; do
+                       all_locales+="${loc%.po} "
+               done
+               popd > /dev/null
+       done
+
+       all_locales=$(echo "${all_locales}" | sed 's/ /\n/g' | sort | uniq)
+       all_locales=${all_locales//[[:space:]]/ }
+       all_locales=${all_locales#[[:space:]]}
+       all_locales=${all_locales%[[:space:]]}
+       if [[ ${PLOCALES} != ${all_locales} ]]; then
+               einfo "There are changes in locales! This ebuild should be 
updated to:"
+               einfo "PLOCALES=\"${all_locales}\""
+       else
+               einfo "Done"
+       fi
+
+       for norm in ${all_norms}; do
+               einfo "Preparing ${norm} ..."
+               pushd "${norm}" > /dev/null || die
+               mylinguas=
+               for loc in *.po; do
+                       if use "linguas_"${loc%.po}; then
+                               mylinguas+="${loc} "
+                       fi
+               done
+
+               sed -e "s:pofiles =.*:pofiles = ${mylinguas} ${NULL}:" \
+                       -e "s:mofiles =.*:mofiles = ${mylinguas//.po/.mo} 
${NULL}:" \
+                       -i Makefile.am Makefile.in || die "sed in ${norm} 
folder failed"
+               popd > /dev/null
+       done
+}

Reply via email to